Name: fctk
Version: 0.0.9
Release: 1%{?dist}
License: GPL
Source: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org
Summary: Templates for generating a new project and XSLT code to generate getopt() C code, man pages, HTML documentation, Debian package specifications, RPM specifications, etc. from one XML description
Group: Development/Tools
Requires: fmt-ptrn sed flyn_docs textutils which libxslt

%description 
The Flyn Computing Template Kit (fctk) is a collection of fmt-ptrn 
templates, XSLT templates, and project descriptions. These tools are 
used at Flyn Computing for development. The collection of templates 
use XML and the priciple of not repeating oneself. For example, this 
description comes from an XML file that is used to generate the 
fctk package's man page, HTML documentation, RPM specification, Debian 
package specifications, etc.



%files 
%defattr(-, root, root, -)
/etc/fctk
/etc/fctk/*
%{_datadir}/fctk
%{_datadir}/fmt-ptrn/templates/*
%{_datadir}/fmt-ptrn/projects/*


%prep


%setup -q


%build
 %configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ 


